This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 167555 - IPv6 needs to be supported for the iSCSI driver
IPv6 needs to be supported for the iSCSI driver
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Christie
Brock Organ
: FutureFeature, OtherQA
Depends On: 245197
Blocks: 445361 458123
  Show dependency treegraph
 
Reported: 2005-09-05 07:46 EDT by Smitha Narayanaswamy
Modified: 2010-10-21 23:19 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-26 08:40:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Makes the basic configuration changes. Changes the way iscsi.conf is parsed to include parsing for an ipv6 address. The ipv6 DiscoveryAddress would have to be entered as: DiscoveryAddress=[2002::1] (1.08 KB, patch)
2005-09-05 07:46 EDT, Smitha Narayanaswamy
no flags Details | Diff
The main user level resolve and connect related changes. Changes in the session data sturcture to use the common data structure for ipv6 and ipv4 (14.75 KB, patch)
2005-09-05 07:48 EDT, Smitha Narayanaswamy
no flags Details | Diff
Subnet related changes and ioctl related changes. Parse the Subnet/Address entry in the iscsi.conf file. Changes in the ioctl data structures. (21.38 KB, patch)
2005-09-05 07:49 EDT, Smitha Narayanaswamy
no flags Details | Diff
Kernel level changes - connect and sysfs related. All the kernel level changes w.r.t connect and attributes in sysfs. (4.28 KB, patch)
2005-09-05 07:55 EDT, Smitha Narayanaswamy
no flags Details | Diff
The attached patch provides the documentation related changes for IPv6 support for the driver. (8.64 KB, patch)
2005-09-05 07:56 EDT, Smitha Narayanaswamy
no flags Details | Diff

  None (edit)
Description Smitha Narayanaswamy 2005-09-05 07:46:03 EDT
Description of problem:
The driver does not connect to an IPv6 target. This is a requirement from a
Cisco customer.

Version-Release number of selected component (if applicable):
4.x

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
The driver needs to be able to connect to an IPv6 target.

Additional info:
It is important for Cisco's client to have the patches for IPv6 in.
Comment 1 Smitha Narayanaswamy 2005-09-05 07:46:04 EDT
Created attachment 118458 [details]
Makes the basic configuration changes. Changes the way iscsi.conf is parsed to include parsing for an ipv6 address. The ipv6 DiscoveryAddress would have to be entered as: DiscoveryAddress=[2002::1]
Comment 2 Smitha Narayanaswamy 2005-09-05 07:48:00 EDT
Created attachment 118459 [details]
The main user level resolve and connect related changes. Changes in the session data sturcture to use the common data structure for ipv6 and ipv4
Comment 3 Smitha Narayanaswamy 2005-09-05 07:49:03 EDT
Created attachment 118460 [details]
Subnet related changes and ioctl related changes. Parse the Subnet/Address entry in the iscsi.conf file. Changes in the ioctl data structures.
Comment 4 Smitha Narayanaswamy 2005-09-05 07:55:48 EDT
Created attachment 118461 [details]
Kernel level changes - connect and sysfs related. All the kernel level changes w.r.t connect and attributes in sysfs.
Comment 5 Smitha Narayanaswamy 2005-09-05 07:56:35 EDT
Created attachment 118462 [details]
The attached patch provides the documentation related changes for IPv6 support for the driver.
Comment 8 Mike Christie 2005-10-12 20:07:24 EDT
Smitha - could you merge these into the cvs tree if you have not already. Also
didn't you need this for RHEL3 too. Is that another BZ for that?

And for the kernel part, did you not need ipv6 login redirect support, or did
you not add it becuase it was a little ugly or were you going to try and add it
to a common place like in_aton later or is it a bug.
Comment 13 Mike Christie 2005-10-24 12:02:30 EDT
Changing Component to kernel. In the future please try to select
iscsi-initiator-utils for userspace problems and kernel for driver problems. If
there is a kernel and userspace change required then make two :(. iSCSI is
legacy Component from when it was all bundled in one rpm. Thanks.

Cisco I will make a another bugzilla for the userspace changes that are needed
for you and add you guys.

Could you guys makes sure you get your patches in soon so I can review and send
them to be merged and reviewed internally. As Smitha noted there was a bug, but
your current patches also have KABI problems. I think you may have to just add
anoter IOCL to send down ipv6 info and break up the setup into two ioctl calls
if ipv6 is enabled, but I will try to send the less invasive patch first.
Comment 20 Vamsi Krishna Sadhu 2006-09-11 02:01:32 EDT
Hi Mike,

I have given some more support for the IPV6 at user space and kernel space 
level,that will inturn contains sending ipv6 info to the kernel and there it 
will distinguish between IPV4/6 and then get connect.

In case if you need the patch, i will send that across to you.
 
Comment 21 Mike Christie 2006-09-12 14:52:38 EDT
Great. Did you write the code yourself (was it like the code snippet you sent
before), base it on Smitha's patches in this bugzilla, or use the cvs code?

I think the cvs code was the most up to date. The patches in this bugzilla had a
bug, but I think the patches in cvs were good except for the ABI and KABI issues
which I will fix for you guys.

To get the cvs code I do this


cvs -z3 -d:ext:mikenc@linux-iscsi.cvs.sourceforge.net:/cvsroot/linux-iscsi co -r
linux-iscsi-4-0-branch linux-iscsi

My login is mikenc. You can use the anonymous login. I will add you when I get a
chance. And the branch you want is "linux-iscsi-4-0-branch" (we are not working
off the head for RHEL 4).

If you could just mine Smitha's ipv6 patches from cvs and rediff against our
kernel and userspace code it would be great. Or at the very least just take her
patches from cvs and send them to me so I can rediff and rebuild them for you guys.

Please also confirm Cisco is going to do the QA work for this feature. We do not
have a ipv6 setup or a target that supports ipv6.
Comment 22 Vamsi Krishna Sadhu 2006-09-13 00:41:24 EDT
Yah Mike i did some more modification to the code, which will support IPV6 at 
other levels of code where exactly redirection is taking place that is both at 
userspace level and driver level....

Recently i fixed 3 bugs in the latest patch which was available under CVS and 
it has been verified by our QA team so i will CVS all those patches to SF.

Regs,
Vamsi.  
Comment 23 Rob Kenna 2006-09-14 10:13:27 EDT
Made summary indicate what driver is being referred to; namely iSCSI.
Comment 29 RHEL Product and Program Management 2008-08-26 08:40:15 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.